#### D.13.6.15 initialForm

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  initialForm(f,w); f a polynomial, w an integer vector

Assume:
  f is a polynomial in Q[x_1,...,x_n] and w=(w_1,...,w_n)

Return:
  poly, the initial form of f(x) w.r.t. w

Note:
  the initialForm consists of the terms with MAXIMAL weighted order w.r.t. w

Example:

    LIB "tropical.lib";
    ring r=0,(x,y),dp;
    poly f=x3+y2-xy+x-1;
    intvec w=2,3;
    initialForm(f,w);

User manual for Singular version 4.4.1, 2025, generated by texi2html.